interface IStylesProps {
    isClosed?: boolean;
    isAvailable?: boolean;
    logged?: boolean;
}
export declare const HeaderContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const NotLoggedContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const LoginRegisterButtons: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const LoggedContainer: import("styled-components").StyledComponent<"div", any, IStylesProps, never>;
export declare const HeaderElements: import("styled-components").StyledComponent<"div", any, IStylesProps, never>;
export declare const UserProfile: import("styled-components").StyledComponent<"button", any, {}, never>;
export declare const UserProfileContainer: import("styled-components").StyledComponent<"div", any, IStylesProps, never>;
export declare const DesktopMenu: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const UserNameAndIcon: import("styled-components").StyledComponent<"div", any, IStylesProps, never>;
export {};
